## com.baidubce.services.ses.model
Class SendEmailRequest.Mail.Destination

    java.lang.Object
      com.baidubce.services.ses.model.SendEmailRequest.Mail.Destination

Enclosing class:
  SendEmailRequest.Mail

    public static class SendEmailRequest.Mail.Destination

extends Object

The recipient object.

Nested Class Summary
`static class` `SendEmailRequest.Mail.Destination.Addr` The address object, which contains one string parameter.

Constructor Summary
`SendEmailRequest.Mail.Destination()`
`SendEmailRequest.Mail.Destination(List<SendEmailRequest.Mail.Destination.Addr> toAddr, List<SendEmailRequest.Mail.Destination.Addr> ccAddr, List<SendEmailRequest.Mail.Destination.Addr> bccAddr)`

Method Summary
`List<SendEmailRequest.Mail.Destination.Addr>` `getBccAddr()`
`List<SendEmailRequest.Mail.Destination.Addr>` `getCcAddr()`
`List<SendEmailRequest.Mail.Destination.Addr>` `getToAddr()`
`void` `setBccAddr(List<SendEmailRequest.Mail.Destination.Addr> bccAddr)`
`void` `setCcAddr(List<SendEmailRequest.Mail.Destination.Addr> ccAddr)`
`void` `setToAddr(List<SendEmailRequest.Mail.Destination.Addr> toAddr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendEmailRequest.Mail.Destination

    public SendEmailRequest.Mail.Destination()

### SendEmailRequest.Mail.Destination

    public SendEmailRequest.Mail.Destination(List<SendEmailRequest.Mail.Destination.Addr> toAddr,
                                             List<SendEmailRequest.Mail.Destination.Addr> ccAddr,
                                             List<SendEmailRequest.Mail.Destination.Addr> bccAddr)

Method Detail

### getToAddr

    public List<SendEmailRequest.Mail.Destination.Addr> getToAddr()

### setToAddr

    public void setToAddr(List<SendEmailRequest.Mail.Destination.Addr> toAddr)

### getCcAddr

    public List<SendEmailRequest.Mail.Destination.Addr> getCcAddr()

### setCcAddr

    public void setCcAddr(List<SendEmailRequest.Mail.Destination.Addr> ccAddr)

### getBccAddr

    public List<SendEmailRequest.Mail.Destination.Addr> getBccAddr()

### setBccAddr

    public void setBccAddr(List<SendEmailRequest.Mail.Destination.Addr> bccAddr)

Copyright © 2016. All rights reserved.